mbedtls_ssl_ciphersuite_t Struct Reference

This structure is used for storing ciphersuite information. More...

`#include <ssl_ciphersuites.h>`

## Data Fields

int | id
const char * | name
mbedtls_cipher_type_t | cipher
mbedtls_md_type_t | mac
mbedtls_key_exchange_type_t | key_exchange
int | min_major_ver
int | min_minor_ver
int | max_major_ver
int | max_minor_ver
unsigned char | flags

## Detailed Description

This structure is used for storing ciphersuite information.

Definition at line 289 of file ssl_ciphersuites.h.

## Field Documentation

mbedtls_cipher_type_t mbedtls_ssl_ciphersuite_t::cipher

Definition at line 294 of file ssl_ciphersuites.h.

unsigned char mbedtls_ssl_ciphersuite_t::flags

Definition at line 303 of file ssl_ciphersuites.h.

int mbedtls_ssl_ciphersuite_t::id

Definition at line 291 of file ssl_ciphersuites.h.

mbedtls_key_exchange_type_t mbedtls_ssl_ciphersuite_t::key_exchange

Definition at line 296 of file ssl_ciphersuites.h.

mbedtls_md_type_t mbedtls_ssl_ciphersuite_t::mac

Definition at line 295 of file ssl_ciphersuites.h.

int mbedtls_ssl_ciphersuite_t::max_major_ver

Definition at line 300 of file ssl_ciphersuites.h.

int mbedtls_ssl_ciphersuite_t::max_minor_ver

Definition at line 301 of file ssl_ciphersuites.h.

int mbedtls_ssl_ciphersuite_t::min_major_ver

Definition at line 298 of file ssl_ciphersuites.h.

int mbedtls_ssl_ciphersuite_t::min_minor_ver

Definition at line 299 of file ssl_ciphersuites.h.

const char* mbedtls_ssl_ciphersuite_t::name

Definition at line 292 of file ssl_ciphersuites.h.

The documentation for this struct was generated from the following file:

- ssl_ciphersuites.h